Bug 737804 - remote key presses sometimes are lost or not received
Summary: remote key presses sometimes are lost or not received
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: lirc
Version: 15
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Jarod Wilson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-13 07:10 UTC by Paul Wilson
Modified: 2012-08-07 16:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 16:26:05 UTC


Attachments (Terms of Use)

Description Paul Wilson 2011-09-13 07:10:58 UTC
Description of problem:
Upgraded from FC13 to FC15 and installed V4L-utils and found 
had to use the following to make lirc work:
 ir-keytable -p nec
Then found the lirc sometimes not sending or recving keystrokes or button presses.

Version-Release number of selected component (if applicable):
lirc 0.90

How reproducible:
irw and click down or any other RC comand like ok or channel up/down.

Steps to Reproduce:
1. irw
2. press remote down,down, ok  (or any keys)

  
Actual results:
menu-down
menu-down


Expected results:
menu-down

Additional info:
I'm using Digital Now DNTV pro DVB-T remote control which uses nec driver.
kernel:  2.6.40.4-5.fc15.i686

[root@mythbox ~]# lsmod
Module                  Size  Used by
fuse                   53547  5
sunrpc                168869  1
pppoe                   6612  2
pppox                   1808  1 pppoe
ppp_synctty             4673  0
ppp_async               5640  0
crc_ccitt               1245  1 ppp_async
ppp_generic            18372  8 pppoe,pppox,ppp_synctty,ppp_async
slhc                    4032  1 ppp_generic
cpufreq_ondemand        4782  1
powernow_k8            19162  0
mperf                   1137  1 powernow_k8
ipt_MASQUERADE          1716  1
xt_TCPMSS               2650  1
xt_state                 942  2
nf_conntrack_irc        3757  0
nf_nat_ftp              1705  0
nf_conntrack_ftp        8231  1 nf_nat_ftp
iptable_nat             3734  1
nf_nat                 15054  3 ipt_MASQUERADE,nf_nat_ftp,iptable_nat
nf_conntrack_ipv4       6874  5 iptable_nat,nf_nat
nf_conntrack           56146  8 ipt_MASQUERADE,xt_state,nf_conntrack_irc,nf_nat_ftp,nf_conntrack_ftp       ,iptable_nat,nf_nat,nf_conntrack_ipv4
nf_defrag_ipv4          1093  1 nf_conntrack_ipv4
ipt_LOG                 6120  3
it87                   24000  0
hwmon_vid               1779  1 it87
cx88_dvb               21793  1
cx88_vp3054_i2c         1549  1 cx88_dvb
videobuf_dvb            4310  1 cx88_dvb
rc_dntv_live_dvbt_pro     1119  0
tuner_simple           10783  2
tuner_types            14371  1 tuner_simple
tda9887                 8253  1
tda8290                 9049  0
snd_hda_codec_hdmi     20135  4
tuner                  13812  2
dvb_pll                 8733  1
mt352                   4801  2
nvidia              10375368  42
ppdev                   6216  0
dvb_usb_dib0700        68775  0
dib7000p               22910  2 dvb_usb_dib0700
dib0090                19207  1 dvb_usb_dib0700
dib7000m               12216  1 dvb_usb_dib0700
dib0070                 6897  2 dvb_usb_dib0700
cx88_alsa               8382  1
dvb_usb                13208  1 dvb_usb_dib0700
dib8000                25426  1 dvb_usb_dib0700
snd_hda_intel          20567  0
dib9000                21806  1 dvb_usb_dib0700
snd_intel8x0           23346  2
snd_ac97_codec         91148  1 snd_intel8x0
ac97_bus                 922  1 snd_ac97_codec
snd_hda_codec          71160  2 snd_hda_codec_hdmi,snd_hda_intel
snd_hwdep               4905  1 snd_hda_codec
snd_seq                43528  0
dib3000mc               9613  1 dvb_usb_dib0700
snd_seq_device          5033  1 snd_seq
dibx000_common          5653  6 dvb_usb_dib0700,dib7000p,dib7000m,dib8000,dib9000,dib3000mc
stv0299                 7924  0
cx8800                 24259  0
cx8802                 10943  1 cx88_dvb
snd_pcm                63457  6 snd_hda_codec_hdmi,cx88_alsa,snd_hda_intel,snd_intel8x0,snd_ac97_cod       ec,snd_hda_codec
ir_lirc_codec           3626  0
lirc_dev               11152  1 ir_lirc_codec
ir_sony_decoder         1785  0
ir_jvc_decoder          1870  0
b2c2_flexcop_pci        3523  1
ir_rc6_decoder          2270  0
cx88xx                 67021  4 cx88_dvb,cx88_alsa,cx8800,cx8802
ir_rc5_decoder          1702  0
ir_nec_decoder          2226  0
k8temp                  2883  0
rc_core                14667  11 rc_dntv_live_dvbt_pro,dvb_usb_dib0700,dvb_usb,ir_lirc_codec,ir_sony       _decoder,ir_jvc_decoder,ir_rc6_decoder,cx88xx,ir_rc5_decoder,ir_nec_decoder
b2c2_flexcop           21560  1 b2c2_flexcop_pci
i2c_algo_bit            4206  2 cx88_vp3054_i2c,cx88xx
tveeprom               10509  1 cx88xx
dvb_core               73454  8 cx88_dvb,videobuf_dvb,dib7000p,dvb_usb,dib8000,dib9000,stv0299,b2c2_       flexcop
v4l2_common             5592  3 tuner,cx8800,cx88xx
parport_pc             17816  0
videodev               64085  4 tuner,cx8800,cx88xx,v4l2_common
cx24123                11365  1 b2c2_flexcop
videobuf_dma_sg         7381  5 cx88_dvb,cx88_alsa,cx8800,cx8802,cx88xx
cx24113                 6139  1 b2c2_flexcop
media                   9214  1 videodev
parport                26550  2 ppdev,parport_pc
s5h1420                 9170  1 b2c2_flexcop
btcx_risc               3154  4 cx88_alsa,cx8800,cx8802,cx88xx
videobuf_core          13635  5 videobuf_dvb,cx8802,cx8800,cx88xx,videobuf_dma_sg
sky2                   35723  0
snd_timer              15245  2 snd_seq,snd_pcm
snd                    48471  17 snd_hda_codec_hdmi,cx88_alsa,snd_hda_intel,snd_intel8x0,snd_ac97_co       dec,snd_hda_codec,snd_hwdep,snd_seq,snd_seq_device,snd_pcm,snd_timer
forcedeth              42672  0
i2c_nforce2             5062  0
soundcore               5027  1 snd
snd_page_alloc          6035  3 snd_hda_intel,snd_intel8x0,snd_pcm
i2c_core               21572  31 cx88_dvb,cx88_vp3054_i2c,tuner_simple,tda9887,tda8290,tuner,dvb_pll       ,mt352,nvidia,dvb_usb_dib0700,dib7000p,dib0090,dib7000m,dib0070,dvb_usb,dib8000,dib9000,dib3000mc,di       bx000_common,stv0299,cx8800,cx88xx,b2c2_flexcop,i2c_algo_bit,tveeprom,v4l2_common,videodev,cx24123,c       x24113,s5h1420,i2c_nforce2
ipv6                  235841  62
firewire_ohci          22642  0
firewire_core          41740  1 firewire_ohci
pata_acpi               2355  0
crc_itu_t               1243  1 firewire_core
ata_generic             2635  0
sata_nv                16458  5
pata_amd                7884  0

Comment 1 Jarod Wilson 2011-11-17 22:19:06 UTC
Sounds like double key events, one from lirc, one from the input layer. The latest f15 lirc bits should have improved this. If not, let me know.

Comment 2 Paul Wilson 2011-11-18 04:54:48 UTC
just to be clear the LIRC is missing some keystrokes.

Also when are these updates to LIRC going to be pushed up.
and how will I know?
is it in a specific kernel version?

Comment 3 Jarod Wilson 2012-02-14 19:32:39 UTC
Sorry, been tied up with other things...

Is this still dysfunctional with the latest f15 bits and/or the f16 bits? So far as I know, setting proto to NEC and using the lirc devinput driver ought to be entirely sane here, but I don't have the hardware in question.

Comment 4 Paul Wilson 2012-02-15 05:04:29 UTC
I can't be sure problem still exisit as I couldn't wait for the fix, so I switched to another device, but do you want me to get some more debug or other diagnostic data?
ie I'm effectively using a IR ->USB keyboard device emulater now.

Comment 5 Jarod Wilson 2012-02-16 14:21:17 UTC
If you can give it another go with fedora 16, it would be good to confirm things are behaving now. Best as I know, they are, as I've not gotten any reports of problems in a few months, but maybe people are just keeping quiet. :)

Comment 6 Fedora End Of Life 2012-08-07 16:26:08 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.